5.3.0-git
2014-10-25

[#10196] Add "Other Actions" to Dynamic mail separate window
Summary Add "Other Actions" to Dynamic mail separate window
Queue IMP
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester simon (at) simonandkate (dot) net
Created 2011-06-06 (1237 days ago)
Due
Updated 2013-01-30 (633 days ago)
Assigned
Resolved
Milestone
Patch No

History
2013-01-30 14:47:14 Jan Schneider State ⇒ Accepted
 
2012-10-02 09:17:55 Jan Schneider Comment #4
Version ⇒ Git master
State ⇒ Feedback
Reply to this comment

[Show Quoted Text - 11 lines]
I agree.
2012-10-02 04:54:46 simon (at) simonandkate (dot) net Comment #3 Reply to this comment
The mailbox view has five buttons along the top that relate to actions 
specific to the selected email, yet the mail view misses the last one 
ONLY despite it containing mail-specific actions. If you take the view 
that you have expressed below, why do you have SPAM, or even being 
extreme, why have REPLY, FORWARD, or DELETE? You can after all do all 
of those actions from the mailbox view :-/ By all means drop the Hide 
Preview, Vertical Layout options within the Other menu, but by not 
including the options to e.g. Blacklist you make me close the window 
if I have opened it, then separately click to Blacklist, where if it 
was in the mail view, one click in the Other menu could close the 
email, delete it, and add to blacklist.

UI consistency would indicate that it should be there. UX would 
indicate that it should be there. There is plenty of room along that 
top bar to have the same buttons - it would hardly clutter it. Other 
email clients give you full functionality within the mail view, not 
just the mailbox view. And why would it duplicate code - I am not a 
php coder, so if I am completely wrong tell me, but would it not be 
calling a function to display the menu?

For users that Hide Preview, they open the emails to see what they are 
and to action them. You are making them go back to the main window to 
action things that they should be able to action in the mail view. Not 
everyone works in the mailbox view.

When you open an email in Outlook, or Thunderbird, if you choose to 
open an email in a new window you get to select or carry out all 
operations within the child window. They don't make you go to the main 
window to do functions.

Just my 2c...
2012-10-02 03:53:43 Michael Slusarz Comment #2
State ⇒ Rejected
Reply to this comment
Rejecting.  These are already handled in the mailbox view.  Adding 
this to message view is unneeded duplication of code (and would 
clutter the UI).
2011-06-06 03:48:34 simon (at) simonandkate (dot) net Comment #1
State ⇒ New
Patch ⇒ No
Milestone ⇒
Queue ⇒ IMP
Summary ⇒ Add "Other Actions" to Dynamic mail separate window
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
When you open an email in Dynamic View in a separate window instead of 
in the preview, would be good to be able to have the "Other Actions" 
available to you - Whitelist, Blacklist, Mark as Flagged for Followup, 
Mark as Seen. At the moment these are only available in the parent 
window.